APT-MARK(8)

NAME
apt-mark - ein Paket als automatisch installiert markieren oder diese Markierung entfernen

ÜBERSICHT

apt-mark [-f=Dateiname] {auto | manual | showauto | showmanual} Paket... | {-v | --version} | {-h | --help}

BESCHREIBUNG

apt-mark wird ändern, ob ein Paket als automatisch installiert markiert ist.

Wenn Sie die Installation eines Paketes anfordern und andere Pakete installiert werden, um dessen Abhängigkeiten zu erfüllen, werden die Abhängigkeiten als automatisch installiert markiert. Sobald keine manuell installierten Pakete mehr von diesen automatisch installierten Paketen abhängen, werden sie z.B durch apt-get oder aptitude entfernt.

auto
    auto wird benutzt, um ein Paket als automatisch installiert zu markieren, was veranlasst, dass das Paket entfernt wird, wenn keine manuell installierten Pakete von ihm abhängen.

manual
    manual wird benutzt, um ein Paket als manuell installiert zu markieren, was verhindert, dass das Paket automatisch entfernt wird, wenn kein anderes Paket von ihm abhängt.

hold
    hold wird benutzt, um ein Paket als zurückgehalten zu markieren, was verhindert, dass das Paket automatisch installiert, ein Upgrade davon durchgeführt oder es entfernt wird. Der Befehl ist nur ein Wrapper um dpkg --set-selections und der Status wird daher durch dpkg(1) verwaltet und nicht durch die Option --file.

unhold
    unhold wird benutzt, um ein vorher gesetztes »hold« auf ein Paket aufzuheben, um alle Aktionen wieder zu erlauben.

showauto
    showauto wird benutzt, um eine Liste automatisch installierter Pakete – mit einem Paket in jeder neuen Zeile – auszugeben. Wenn kein Paket angegeben ist, werden alle automatisch installierten Pakete aufgelistet. Falls Pakete angegeben sind, werden nur diejenigen angezeigt, die automatisch installiert wurden.

showmanual
    showmanual kann auf die gleiche Weise wie showauto benutzt werden, mit der Ausnahme, dass es stattdessen eine Liste manuell installierter Pakete ausgibt.

showhold
    showhold wird benutzt, um eine Liste auf »hold« gesetzter Pakete auf die gleiche Art wie für andere Anzeigebefehle auszugeben.

OPTIONEN

-f=Dateiname, --file=Dateiname
    schreibt/liest Paketstatus von dem Dateinamen, der mit dem Parameter Dateiname, anstatt vom Standardort, der extended_status im von Konfigurationselement Dir::State definierten Verzeichnis, ist.

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

-c, --config-file
    Konfigurationsdatei; gibt eine Konfigurationssdatei zum Benutzen an. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei der Umgebungsvariable APT_CONFIG an Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten

-o, --option
    eine Konfigurationsoption setzen; Dies wird eine beliebige Konfigurationsoption setzen. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

DATEIEN

/var/lib/apt/extended_states
    Statusliste automatisch installierter Pakete Konfigurationselement: Dir::State::extended_states.

SIEHE AUCH

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSE

apt-mark gibt bei normalen Operationen Null zurück, bei Fehlern nicht Null.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009 von Chris Leick <c.leick@vollbio.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Mike O'Connor

APT-Team

FUßNOTEN

1.  APT-Fehlerseite
    http://bugs.debian.org/src:apt